The OpenNET Project / Index page

[ новости /+++ | форум | wiki | теги | ]

форумы  помощь  поиск  регистрация  майллист  ВХОД  слежка  RSS
"проблема инсталяции модуля wavelan2_cs"
Вариант для распечатки Архивированная нить - только для чтения! 
Пред. тема | След. тема 
Форумы OpenNET: Виртуальная конференция (Public)
Изначальное сообщение [Проследить за развитием треда]

"проблема инсталяции модуля wavelan2_cs"
Сообщение от olegator emailИскать по авторуВ закладки on 16-Июн-03, 12:48  (MSK)
При попытке подключить модуль wavelan2_cs выдаётся сообщение:
The module you are trying to load (/lib/modules/2.4.20-new/pcmcia/wavelan2_cs.o) is compiled with a gcc version 2 compiler, while kernel you are running is compiled with a gcc version 3 compiler. This is known to not work.
На машине установлен только gcc 3-ей версии. Ядро и модуль компилировались на этой же машине. В чём может быть дело?

Slackware 9.0
kernel 2.4.20
gcc 3
glibc-2.3.1
pcmcia-cs-3.2.4
wlli620(wavelan2_cs-6.20)

  Рекомендовать в FAQ | Cообщить модератору | Наверх

 Оглавление

Индекс форумов | Темы | Пред. тема | След. тема
Сообщения по теме

1. "проблема инсталяции модуля wavelan2_cs"
Сообщение от Nikolaev D. emailИскать по авторуВ закладки on 16-Июн-03, 12:52  (MSK)
>При попытке подключить модуль wavelan2_cs выдаётся сообщение:
>The module you are trying to load (/lib/modules/2.4.20-new/pcmcia/wavelan2_cs.o) is compiled with a
>gcc version 2 compiler, while kernel you are running is compiled
>with a gcc version 3 compiler. This is known to not
>work.
>На машине установлен только gcc 3-ей версии. Ядро и модуль компилировались на
>этой же машине.
Проверь еще раз - где-то гсс 2 засел.
  Рекомендовать в FAQ | Cообщить модератору | Наверх

2. "проблема инсталяции модуля wavelan2_cs"
Сообщение от olegator emailИскать по авторуВ закладки on 16-Июн-03, 13:15  (MSK)
>Проверь еще раз - где-то гсс 2 засел.
Проверял - нету. Только gcc-3.2.3 стоит.
  Рекомендовать в FAQ | Cообщить модератору | Наверх

3. "проблема инсталяции модуля wavelan2_cs"
Сообщение от Napalm Death Искать по авторуВ закладки on 14-Июл-03, 12:59  (MSK)
>>Проверь еще раз - где-то гсс 2 засел.
>Проверял - нету. Только gcc-3.2.3 стоит.

"Модуль, который Вы пробуете загружать компилируется с gcc компилятором версии 2, в то время как ядро, которое Вы выполняете, компилировалось с gcc компилятором версии 3. Это, как известно, не работает. Наилучшим вариантом было-бы настроить компиляцию gcc, что-бы при компиляции модулей использовался та-же версия gcc, которым было скомпилировано ядро
Для этого надо установить пакеты компиляции соответствующей версииљ и выполнения команды выбора компилятора, напримерљ для gcc 3.2
select_gcc 3.2
"

  Рекомендовать в FAQ | Cообщить модератору | Наверх


Удалить

Индекс форумов | Темы | Пред. тема | След. тема
Пожалуйста, прежде чем написать сообщение, ознакомьтесь с данными рекомендациями.




Спонсоры:
Inferno Solutions
Hosting by Hoster.ru
Хостинг:

Закладки на сайте
Проследить за страницей
Created 1996-2020 by Maxim Chirkov
Добавить, Поддержать, Вебмастеру